Bug 586822 - [XEN conversion] failed with error "No template kernel found in grub......"
[XEN conversion] failed with error "No template kernel found in grub......"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-v2v (Show other bugs)
5.5
All Linux
high Severity medium
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
: ZStream
Depends On:
Blocks: 593419 599050
  Show dependency treegraph
 
Reported: 2010-04-28 08:40 EDT by Osier Yang
Modified: 2016-04-26 09:38 EDT (History)
8 users (show)

See Also:
Fixed In Version: 0.5.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 593419 (view as bug list)
Environment:
Last Closed: 2010-07-16 12:17:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
debug and trace output (60.71 KB, text/plain)
2010-04-28 08:42 EDT, Osier Yang
no flags Details

  None (edit)
Description Osier Yang 2010-04-28 08:40:41 EDT
Description of problem:
as subject. modify "/usr/lib/perl5/vendor_perl/5.8.8/Sys/VirtV2V/GuestOS/RedHat.pm" like following:
1191                 else {
1192                     my ($match) =
1193                         $g->aug_match('/files/boot/grub/menu.lst/title/kernel');
1194 
1195                     #die("No template kernel found in grub")
1196                     my $grub = $g->cat('/boot/grub/menu.lst');
1197                     die("No template kernel found in grub: $grub")
1198                         unless(defined($match));
1199 
1200                     $match =~ s/\/kernel$//;
1201                     $g->aug_defvar('template', $match)

then the output will be:

see the attachment, it's part of the output with LIBGUESTFS_TRACE and LIBGUESTFS_DEBUG is in attachment. 

guest image is rhel5u4-32b-hv-raw-intel.img.

Version-Release number of selected component (if applicable):
[root@dhcp-66-70-129 xen-remote]# rpm -q virt-v2v v2v-libvirt libguestfs
virt-v2v-0.5.1-1.el5
v2v-libvirt-0.8.0-2.el5
libguestfs-1.2.4-1.el5.10


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Osier Yang 2010-04-28 08:42:53 EDT
Created attachment 409805 [details]
debug and trace output
Comment 2 Matthew Booth 2010-04-29 09:15:17 EDT
Posted a fix for this.
Comment 3 Matthew Booth 2010-04-29 10:16:07 EDT
Build 0.5.2-1 is now in brew.
Comment 4 Nan Zhang 2010-05-06 03:28:41 EDT
Verified with virt-v2v-0.5.2-1.el5, it's already fixed.
Comment 7 Matthew Booth 2010-07-16 12:17:01 EDT
This was released in virt-v2v-0.6.0-6.el5

Note You need to log in before you can comment on or make changes to this bug.